package demo;

import java.io.Writer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

import facture.modele.Client;

public class DemoController extends AbstractController {

	private Client client;
	
	private TestTransactionClass testTransaction;
	
	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request, HttpServletResponse response) throws Exception {
		Personne personne= null;

		testTransaction.sayHello();
		testTransaction.salute();
		ModelAndView mv= new ModelAndView();
		if (client != null)
			personne= new Personne(client.getNom(), "");
		else
			personne= new Personne("Turing", "Alan");
		mv.addObject(personne);
		return mv;
	}

	public Client getClient() {
		return client;
	}

	public void setClient(Client client) {
		this.client = client;
	}

	public TestTransactionClass getTestTransaction() {
		return testTransaction;
	}

	public void setTestTransaction(TestTransactionClass testTransaction) {
		this.testTransaction = testTransaction;
	}

	
}
