package facture.controle;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.servlet.mvc.SimpleFormController;

import facture.modele.Client;

public class CreerClientController extends SimpleFormController {
	private Client client=null;

	/**
	 * @return the client
	 */
	public Client getClient() {
		return client;
	}

	/**
	 * @param client the client to set
	 */
	public void setClient(Client client) {
		this.client = client;
	}
	
	@Override
	protected Object formBackingObject(HttpServletRequest request) throws Exception {
		return client;
	}
	
	@Override
	protected void doSubmitAction(Object command) throws Exception {
		Client clientDTO= (Client) command;
		client.setNom(clientDTO.getNom());
		client.setAdresse(clientDTO.getAdresse());
	}
}
