/**
 * 
 */
package demo;

import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author rosmord
 */
@Transactional
public class TestTransactionClass {

	public String sayHello() {
		System.out.println("hello");
		return "hello";
	}
	
	@Transactional(propagation= Propagation.REQUIRES_NEW, isolation=Isolation.READ_COMMITTED)
	public String sayGoodbye() {
		System.out.println("goodbye");
		return "goodbye";	
	}
	
	public String salute() {
		System.out.println("starting salute");
		String s= sayGoodbye() + sayGoodbye()+ sayGoodbye()+ sayGoodbye();
		System.out.println("finishing salute");
		return s;
	}
	
}
