/**
 * 
 */
package facture.validator;

import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

import facture.modele.Article;

/**
 * @author rosmord
 *
 */
public class ArticleValidator implements Validator {

	/* (non-Javadoc)
	 * @see org.springframework.validation.Validator#supports(java.lang.Class)
	 */
	public boolean supports(Class clazz) {
		return (clazz.equals(Article.class));
	}

	public void validate(Object target, Errors errors) {
		Article a= (Article) target;
		ValidationUtils.rejectIfEmpty(errors, "designation", "empty_field","empty field!");
		if (a.getPrix() <= 0)
			errors.rejectValue("prix", "incorrect_price", "incorrect price");
	}

}
